
QGIS Application - Bug report #21387

Unavailable layers because of a moved folder

2019-02-26 10:04 AM - Edward H

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Vectors

Affected QGIS version:3.7(master) Regression?: No

Operating System: Any Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 29204

Description

Hi,

I have an issue in QGIS 3.6 (Windows 10 / 64 bits) with the replacement or the renaming a folder/layer.

If a folder or a layer is moved/renamed, the (new) "file requester" appears (cf unavailable 1.jpeg) and after browsing the new sources of

files (cf unavailable 2.jpeg) all the files recovered appears on the top of the layers area, checked (because it's my default settings) and

not in the right group and un-checked (cf unavailable 3.jpeg)

thanks if anyone can look at this.

Associated revisions

Revision 5bc2183d - 2019-03-19 08:22 AM - Alessandro Pasotti

Keep group and checked state when handling bad layers

Fixes #21387 - Unavailable layers because of a moved folder

Revision 452d4b26 - 2019-03-19 08:22 AM - Alessandro Pasotti

Keep group and checked state when handling bad layers

Fixes #21387 - Unavailable layers because of a moved folder

Revision af972502 - 2019-03-19 09:00 PM - Alessandro Pasotti

Keep group and checked state when handling bad layers

Fixes #21387 - Unavailable layers because of a moved folder

History

#1 - 2019-02-26 01:53 PM - Alessandro Pasotti

- Status changed from Open to Feedback

- Assignee set to Alessandro Pasotti
It would be very helpful if you could attach a zip file with a minimal project and data to reproduce the issue.

#2 - 2019-02-26 02:18 PM - Edward H

- File test QGIS issue folder.zip added

Thank's for the prompt answer and I attach a zip file like you asked me

steps to reproduce this issue :

- open the project in the zip file

- have a look at the distribution of layers into the groups

- quit the project

- rename one of the folders

- re-open the project

- re-assign the correct name of the folder for each unavailable layers

- this layers move on the top and they are checked by default and a group is empty

#3 - 2019-02-26 02:41 PM - Alessandro Pasotti

Thank you for sharing the project and data.

So, basically, the issue is that the original layer's group and checked/unchecked state are not preserved when handling bad layers from the dialog?

#4 - 2019-02-26 02:54 PM - Edward H

Yes exactly and also found at the top of the layer's panel

And in my case, I have a lot of layer's group and folders change names regularly in Windows...

#5 - 2019-02-26 03:06 PM - Alessandro Pasotti

- Category changed from Unknown to Vectors

- Status changed from Feedback to Open

#6 - 2019-03-01 08:07 PM - Giovanni Manghi

- Status changed from Open to Feedback

Is this really a regression?

#7 - 2019-03-04 10:05 AM - Edward H

This is certainly not a regression regarding the development of qgis functionalities (and for bug tracking) but in terms of user experience it's pretty annoying

to lose its organization of layers.

By the way, it works fine on the LTR version :)

#8 - 2019-03-05 03:10 PM - Giovanni Manghi

- Priority changed from High to Normal
- Regression? changed from Yes to No

#9 - 2019-03-18 03:41 PM - Alessandro Pasotti

- Status changed from Feedback to Open

#10 - 2019-03-18 04:57 PM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Status changed from Open to In Progress

- Affected QGIS version changed from 3.6.0 to 3.7(master)

- Operating System changed from Windows 10 / 64 bits to Any

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/9550

#11 - 2019-03-19 03:55 PM - Alessandro Pasotti

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|5bc2183d248b4160c9d29445d57eb040c763c828.

Files

unavailable 1.JPG 450 KB 2019-02-26 Edward H

unavailable 2.JPG 446 KB 2019-02-26 Edward H

unavailable 3.JPG 662 KB 2019-02-26 Edward H

test QGIS issue folder.zip 25.3 KB 2019-02-26 Edward H
